#if !defined(AFX_TBUTTON_H__88F2483E_ADFF_481A_951C_2EFEB8926F71__INCLUDED_)
#define AFX_TBUTTON_H__88F2483E_ADFF_481A_951C_2EFEB8926F71__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CRemMFCDlg;
/////////////////////////////////////////////////////////////////////////////
// CToggleButton  JX^Rg[

class CToggleButton : public CButton
{
	DECLARE_DYNAMIC(CToggleButton)
private:
	BOOL		m_Toggled;
	CRemMFCDlg	*m_pDlg;
	BOOL		m_fState;
	COLORREF	m_clEdge[3];
	COLORREF	m_clFace;
	COLORREF	m_clPush;
	COLORREF	m_clText;
	COLORREF	m_clGrayText;
	RECT		m_rcClient;
	CString		m_Text;
	BOOL		m_Enabled;
	UINT		m_nID;
private:
	void Initialize(void);
	void Draw(void);
	void OnDraw(CDC *pDC);

public:
	void InitialUpdate(CRemMFCDlg *pDlg);
	inline BOOL GetState(void){return m_fState;};
	void SetState(BOOL bHighlight);
	void SetWindowText(LPCTSTR lpszString);
	void EnableWindow(BOOL bEnable);
	inline void EnableToggle(BOOL bEnable){m_Toggled = bEnable;};
	inline void SetTextColor(COLORREF col){m_clText = col;};
	inline BOOL IsWindowEnabled(void){return m_Enabled;};
	void GetWindowText(CString& rString) const;

// RXgNV
public:
	CToggleButton();

// Agr[g
public:

// Iy[V
public:

// I[o[Ch
	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CToggleButton)
	//}}AFX_VIRTUAL

// Cve[V
public:
	virtual ~CToggleButton();

	// ꂽbZ[W }bv֐
protected:
	//{{AFX_MSG(CToggleButton)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_TBUTTON_H__88F2483E_ADFF_481A_951C_2EFEB8926F71__INCLUDED_)
